--- pgg-gpg.el	2000-12-25 13:58:07.000000000 +0900
+++ pgg-gpg.el	2003-05-16 18:47:17.000000000 +0900
@@ -157,24 +157,16 @@
 (luna-define-method pgg-scheme-decrypt-region ((scheme pgg-scheme-gpg)
 					       start end)
   (let* ((pgg-gpg-user-id (or pgg-gpg-user-id pgg-default-user-id))
-	 (passphrase
-	  (pgg-read-passphrase
-	   (format "GnuPG passphrase for %s: " pgg-gpg-user-id)
-	   (pgg-scheme-lookup-key scheme pgg-gpg-user-id 'encrypt)))
 	 (args '("--batch" "--decrypt")))
-    (pgg-gpg-process-region start end passphrase pgg-gpg-program args)
+    (pgg-gpg-process-region start end nil pgg-gpg-program args)
     (with-current-buffer pgg-errors-buffer
-      (pgg-gpg-possibly-cache-passphrase passphrase)
+;      (pgg-gpg-possibly-cache-passphrase passphrase)
       (goto-char (point-min))
       (re-search-forward "^\\[GNUPG:] DECRYPTION_OKAY\\>" nil t))))
 
 (luna-define-method pgg-scheme-sign-region ((scheme pgg-scheme-gpg)
 					    start end &optional cleartext)
   (let* ((pgg-gpg-user-id (or pgg-gpg-user-id pgg-default-user-id))
-	 (passphrase
-	  (pgg-read-passphrase
-	   (format "GnuPG passphrase for %s: " pgg-gpg-user-id)
-	   (pgg-scheme-lookup-key scheme pgg-gpg-user-id 'sign)))
 	 (args
 	  (list (if cleartext "--clearsign" "--detach-sign")
 		"--armor" "--batch" "--verbose"
@@ -182,9 +174,9 @@
 	 (inhibit-read-only t)
 	 buffer-read-only)
     (pgg-as-lbt start end 'CRLF
-      (pgg-gpg-process-region start end passphrase pgg-gpg-program args))
-    (with-current-buffer pgg-errors-buffer
-      (pgg-gpg-possibly-cache-passphrase passphrase))
+      (pgg-gpg-process-region start end nil pgg-gpg-program args))
+;    (with-current-buffer pgg-errors-buffer
+;      (pgg-gpg-possibly-cache-passphrase passphrase))
     (pgg-process-when-success)))
 
 (luna-define-method pgg-scheme-verify-region ((scheme pgg-scheme-gpg)
